phone.confirmCall
Complete phone call E2E encryption key exchange », see here » for more info on the full flow.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Complete phone call E2E encryption key exchange », see here » for more info on the full flow.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.confirmCall" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPhoneCall", "id": "string", "accessHash": "string" }, "gA": "string", "keyFingerprint": "string", "protocol": { "_": "phoneCallProtocol", "minLayer": 0, "maxLayer": 0, "libraryVersions": [ "string" ] } } }'{ "result": { "_": "phone.phoneCall", "phoneCall": { "_": "phoneCallEmpty", "id": "string" }, "users": [ { "_": "userEmpty", "id": 0 } ] }}checkGroupCall
Check which of the specified source IDs the server still recognizes as joined to a group call. This method can be used with all group call types, see [here »](https://core.telegram.org/api/group-calls#maintaining-group-call-connections) for more info. After joining the main connection with `phone.RawJoinGroupCallRequest`, pass its non-zero SSRC/source ID to this method periodically. If a presentation connection is also active, include the separate source registered using `phone.RawJoinGroupCallPresentationRequest`. The method returns the subset of the supplied sources that are still joined. A missing source means that the corresponding connection must be recreated and joined again; it does not indicate whether media packets are currently flowing. If the method returns GROUPCALL_JOIN_MISSING, the main connection must be rejoined.
createConferenceCall
Create and optionally join a new [conference call »](https://core.telegram.org/api/group-calls#conference-calls).